@import "../../../assets/styles/main.scss";

.drawerOpen {
  display: block;
  width: 100vw;
  background-color: #01010163;
  position: fixed;
  height: 100%;
  z-index: 99;
  .drawerCloseMain{
    position: relative;

  .drawerHeadContainer {
    position: absolute;
    top: 15%;
    left: -11.4%;
    transform: translateY(130px); 
    @include xxl{
      left: -12.5%;
    } 
    @include lg{
      left: -13.5%;
    }
    .closebtn {
      background: #f00;
      display: flex;
      transform: rotate(-90deg);
      padding: 10px 30px;
      justify-content: center;
      align-items: center;
      gap: 10px;
      color: #fff;
      font-size: 16px;
      text-align: center;
      width: 105px;
      height: 39px;
    }
  }
   }
}

  .close{
    button{
      display: none !important;
    }
  }

.drawerClose{
display: none;
}

.drawer {
  height: calc(100% - 113px);
  width: 100vw;
  position: fixed;
  z-index: 998;
  top: 0;
  background-color: #fff;
  transition: 0.5s;
  width: 632px;
  margin-top: 113px;

  @include xxl{
    height: calc(100% - 90px);
    margin-top: 90px;
    width: 575px;
  }

  @include xl{
    height: calc(100% - 85px);
    margin-top: 85px;
  }
  
  @include lg{
    height: calc(100% - 80px);
    margin-top: 80px;
    width: 530px;
  }

  &.right {
    left: 0;
    transform: translateX(-100%);
  }
  &.left {
    right: 0;
    transform: translateX(100%);
  }

  &.open {
    transform: translateX(0%);
  }
  &.close {
    transform: translateX(100%);
  }

  .closebtn {
    right: rem(24);
    background: none;
    border: none;
    cursor: pointer;

    padding: 0;
    svg {
      height: rem(24);
      width: rem(24);
    }
  }
  @include sm {
    width: 100%;
  }

  // .drawerHeadContainer {
  //   padding: rem(24);
  //   height: rem(68);
  //   background-color: #F9F6EF;
  //   border-bottom: rem(1) solid #C1B496;
  //   overflow: hidden;
  //   display: flex;
  //   gap: rem(8);
  //   &_content {
  //     display: flex;
  //     gap: rem(8);
  //     width: 100%;
  //     p {
  //       color: #180D22;
  //       font-size: rem(16);
  //       line-height: rem(24);
  //     }
  //     svg {
  //       height: rem(20);
  //       width: rem(20);
  //     }
  //   }
  // }
  
}
